Bug 13820 - iso9660 extfs doesnt support UTF
: iso9660 extfs doesnt support UTF
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mc)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-12-28 14:44 by
Modified: 2009-11-03 23:21 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-12-28 14:45:01
mcisofs_list и mcisofs_copyout выдают символ подчеркивания вместо русских букв
при локали LANG=ru_RU.UTF-8
При этом сам mc все корректно отображает, но не внутри ISO
------- Comment #1 From 2007-12-28 14:46:09 -------
iso9660 extfs wontfix
------- Comment #2 From 2007-12-31 11:54:59 -------
Можешь посмотреть isoinfo -l -R -i этот.iso?  Возможно, проблема не в extfs,
они-то тупые.
------- Comment #3 From 2007-12-31 12:28:06 -------
isoinfo -l -R -i этот.iso 
корректно все кажет
------- Comment #4 From 2007-12-31 12:30:37 -------
Слушай, а починить не хочешь? ;-)  Я бы, пожалуй, попробовал собрать mc с
починенным.
------- Comment #5 From 2008-01-02 14:36:42 -------
Если вызывать isoinfo без -R то будут подчеркивания. Если с -R то все ОК.
Вероятное решение - просто добавить -R в mcisofs_list и mcisofs_copyout Почему
так - не знаю. Видимо это бага на cdrtools а не на mcext
На freesource читал что есть для него патч для совместимости с юникодом, не
знаю
что там в сборке реально приложено. isoutils-2.01.01-alt2a03.0
Вот тут вроде новые есть:
http://prometheus.cs.wmich.edu/gentoo/rsync/app-cdr/cdrtools/files/

Еще упоминание этой проблемы тут:
https://lists.ubuntu.com/archives/ubuntu-ru/2007-March/003037.html
В самом конце пишут что для джолиет это давно сломано...
------- Comment #6 From 2008-01-02 20:28:18 -------
В обычном ISO нету никаких русских буковок, а Rock Ridge и Joliet могут быть и 
не согласованными, поэтому надо или -J, или -R явно указывать. Причём лучше -J 
- виндовозный софт Rock Ridge обычно не пишет.
------- Comment #7 From 2008-01-21 21:40:19 -------
а isoinfo -l -J -i этот.iso -- нормально? (2 dottedmag -- ага)
------- Comment #8 From 2008-01-22 11:43:07 -------
isoinfo -l -J -i ./photocd.iso

Directory listing of /Andy/
d---------   0    0    0            8192 Dec 28 2007 [    332 02]  .
d---------   0    0    0            2048 Dec 28 2007 [    331 02]  ..
d---------   0    0    0            2048 Dec 28 2007 [    336 02]  1976 ________
d---------   0    0    0            2048 Dec 28 2007 [    337 02]  1977 _____
d---------   0    0    0            2048 Dec 28 2007 [    338 02]  1978 ____
d---------   0    0    0            2048 Dec 28 2007 [    339 02]  1980 _______
d---------   0    0    0            2048 Dec 28 2007 [    340 02]  1980 ____
d---------   0    0    0            2048 Dec 28 2007 [    341 02]  1981 ______
d---------   0    0    0            2048 Dec 28 2007 [    342 02]  1981 _ 
....

isoinfo -l -R -i ./photocd.iso

Directory listing of /Andy/
dr-xr-xr-x 100    0    0           16384 Dec 28 2007 [     33 02]  .
dr-xr-xr-x   9    0    0            2048 Dec 28 2007 [     32 02]  ..
dr-xr-xr-x   2    0    0            2048 Dec 28 2007 [     41 02]  1976 Городище
dr-xr-xr-x   2    0    0            2048 Dec 28 2007 [     42 02]  1977 Минск
dr-xr-xr-x   2    0    0            2048 Dec 28 2007 [     43 02]  1978 Дома
dr-xr-xr-x   2    0    0            2048 Dec 28 2007 [     45 02]  1980 Дома
dr-xr-xr-x   2    0    0            2048 Dec 28 2007 [     44 02]  1980 Боровое
dr-xr-xr-x   2    0    0            2048 Dec 28 2007 [     46 02]  1981 Нарочь
dr-xr-xr-x   2    0    0            2048 Dec 28 2007 [     47 02]  1981 У 
...

isoinfo -d -i ./photocd.iso
CD-ROM is in ISO 9660 format
System id: LINUX
Volume id: Gorev's PhotoCD
Volume set id:
Publisher id:
Data preparer id:
Application id: K3B THE CD KREATOR (C) 1998-2005 SEBASTIAN TRUEG AND THE K3B TEAM
Copyright File id:
Abstract File id:
Bibliographic File id:
Volume set size is: 1
Volume set sequence number is: 1
Logical block size is: 2048
Volume size is: 1565893
Joliet with UCS level 3 found
Rock Ridge signatures version 1 found
------- Comment #9 From 2008-01-22 11:45:18 -------
в виндах этот же диск разумеется ОК
------- Comment #10 From 2008-06-13 13:00:39 -------
*** This bug has been confirmed by popular vote. ***
------- Comment #11 From 2009-10-04 09:40:56 -------
Шотут?
------- Comment #12 From 2009-10-05 00:19:39 -------
Можно попробовать смастерить чего Joliet-only и посмотреть...
скорее всего, добраться до той исошки уже сложно.
------- Comment #13 From 2009-10-05 02:55:48 -------
Просто создать новый проект в любой прожигалке с русскими именами файлов или
каталогов при локали юникод. Потом смонтировать записанное и убедиться что там
все нормально. Отмонтировать и сделать с нее ISO. Нажать в мц ентер на этом
исо...
------- Comment #14 From 2009-10-05 09:00:05 -------
Между прочим, в апстриме iso9660 немного изменён, но я не всматривался и просто
обновил патч. Рекомендую посмотреть:
http://repo.or.cz/w/midnight-commander.git?a=commitdiff;h=2d3da8a99cdc58609fc64e10ede3d6b5691f8cfc
и
http://repo.or.cz/w/midnight-commander.git?a=commitdiff;h=96c0dc08d88763a4c107670b96208aa483d831ce
------- Comment #15 From 2009-10-05 09:51:37 -------
Бинго, это все решает если @AWK@ заменить на /usr/bin/awk
Go ahead
------- Comment #16 From 2009-10-05 09:53:14 -------
(В ответ на комментарий №15)
> Бинго, это все решает 
То есть?
Достаточно оставить апстримный вариант файла?

> если @AWK@ заменить на /usr/bin/awk
Ну это при сборке делается.
------- Comment #17 From 2009-10-05 09:54:39 -------
Приложил оба дифа, исправил авк - у меня все работает теперь.
------- Comment #18 From 2009-11-03 23:21:18 -------
mc-4.7.0-alt3.pre4 -> sisyphus:

* Wed Nov 04 2009 Andrey Rahmatullin <wrar@altlinux> 4.7.0-alt3.pre4

- 4.7.0-pre4-3-g299b04b
- Sisyphus build (closes: #6944, #10772, #13820, #21092)